(module missing mzscheme
  
  ;; emails.scm
  (provide 
   ;; --- emails.scm ---
   email*              ; (listof (listof String<last> String<first> String<login>))
   ;; --- basics.scm ---
   THIS-COURSE         ; String
   HOME-DIR            ; String
   ;; --- index.ss -----
   instructors         ; (list/p (listof staff?<id> String<name> symbol<ofc> symbol<o-hr-day> String<o-hrs>))
   graders             ; (list/p (listof staff?<id> String<name> symbol<ofc> symbol<o-hr-day> String<o-hrs>))
   tas                 ; (list/p (listof staff?<id> String<name> symbol<ofc> symbol<o-hr-day> String<o-hrs>))
   lab-assignments     ; (listof (list/p number?<lab #> staff? (union staff? #f)<asst> (union staff? #f)<tutor>))
   ;; --- *new* --------
   lectures            ; (listof staff?<id> String<section> String<location>)
   FIRST-LAB           ; String
   DR-SCHEME-VERSION   ; String
   NUM-PROBLEM-SETS    ; Number
   EXAM-DATES          ; (listof String)
   COURSE-CALL-NUMBER  ; String
   LAB-DAY             ; String
   FULL-URL            ; String (TODO: Path?)
   INSTRUCTOR-ID       ; Symbol
   )
  
  ;; emails.scm
  (define email*
    '(;; Instructor(s)
      ("Palm"              "Jeffrey"       "jpalm@ccs.neu.edu" )
      ;; TA(s)
      ("Everett"           "Michael"       "everett.m@neu.edu")
      ;; Tutor(s);
      ("House"             "Sarah"         "house@ccs.neu.edu")
      ))
  
  ;; basics.scm
  (define THIS-COURSE "211 S '05")
  (define HOME-DIR "/home/jpalm/")
  
  ;; index.ss 
  (define instructors
    `((jpalm        "Jeffrey Palm"        WVH330   Thursday  "14:30-16:30")))
  (define tas
    `((everettm     "Michael Everett"    WVH102   Monday   "14:30-16:30")))
  (define graders
    `((house        "Sarah House"         WVH102   Sunday   "17:00-19:00")))
  (define lab-assignments
    `((1 "09:50-11:30" everettm    #f #f)
      (2 "11:45-13:25" everettm    #f #f)))
  
  ;; new
  (define lectures
    `((jpalm "MWTh 4:35pm-5:40pm" "SH 425")))
  (define FIRST-LAB "Friday, January 14")
  (define DR-SCHEME-VERSION "208")
  (define NUM-PROBLEM-SETS 11)
  (define EXAM-DATES '("10 February 2005" "24 March 2005"))
  (define COURSE-CALL-NUMBER "CSU211")
  (define LAB-DAY "Friday")
  (define FULL-URL "http://www.ccs.neu.edu/home/jpalm/211-s05")
  (define INSTRUCTOR-ID 'jpalm)
  
  )
